import { RuntimeNumberField, RuntimeSearchField } from '@oinone/kunlun-engine';
import { WidgetComponent } from '@oinone/kunlun-vue-widget';
import { NumberValue } from '../../form';
import { SearchRangeFieldWidget } from '../../range';
export declare abstract class SearchNumberRangeFieldWidget extends SearchRangeFieldWidget<[
    NumberValue,
    NumberValue
], RuntimeNumberField & RuntimeSearchField> {
    protected minSafeInteger: number;
    protected maxSafeInteger: number;
    protected getInitializeComponent(): WidgetComponent;
    initialize(props: any): this;
    protected get precision(): number | null | undefined;
    protected get showThousandth(): boolean;
}
